### Method

# FwupdPlugin Context set_esp_location

#### Declaration [src]

    void
    fu_context_set_esp_location (
      FuContext* self,
      const gchar* location
    )

#### Description [src]

Sets the user’s desired ESP (EFI System Partition) location for the given `FuContext`.

#### Parameters

`location` | `const gchar*`
| The path to the preferred ESP.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.